# March 2017, Glenn F. Matthews
# Copyright (c) 2017 the COT project developers.
# See the COPYRIGHT.txt file at the top-level directory of this distribution
# and at https://github.com/glennmatthews/cot/blob/master/COPYRIGHT.txt.
#
# This file is part of the Common OVF Tool (COT) project.
# It is subject to the license terms in the LICENSE.txt file found in the
# top-level directory of this distribution and at
# https://github.com/glennmatthews/cot/blob/master/LICENSE.txt. No part
# of COT, including this file, may be copied, modified, propagated, or
# distributed except according to the terms contained in the LICENSE.txt file.

"""
Package providing common API for the COT user interface (UI) of whatever type.

API
---

.. autosummary::
  :nosignatures:

  UI

Implementation modules
----------------------

.. autosummary::
  :toctree:

  COT.ui.cli
"""

from .ui import UI

# flake8: noqa: F401
from .cli import CLI

__all__ = (
    'UI',
)
